Bug 707229 - ipa-server-install with --no-host-dns still checks DNS
Summary: ipa-server-install with --no-host-dns still checks DNS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-24 13:12 UTC by Namita Soman
Modified: 2015-01-04 23:48 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The ipa-server-install option --no-host-dns still checks that the forward and reverse DNS entries exist and match. Consequence: Installing IPA server using a host name not in DNS will fail. Fix: Some validation was still occurring even if --no-host-dns was requested. No longer perform even basic host validation. Result: Installing with --no-host-dns works.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:22:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-05-24 13:12:26 UTC
Description of problem:
ipa-server-install has an option:
--no-host-dns         Do not use DNS for hostname lookup during installation

Install using:
ipa-server-install --hostname=ipaqa64vma.testrelm -r TESTRELM -n testrelm -p Secret123 -P Secret123 -a Secret123 --no-host-dns 

If I do not have an entry in /etc/hosts, my install fails with error:
 Unable to resolve host name, check /etc/hosts or DNS name resolution


Version-Release number of selected component (if applicable):
ipa-server-2.0.0-23.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Confirm /etc/hosts doesn't have an entry for this machine
2. Install using: ipa-server-install --hostname=ipaqa64vma.testrelm -r TESTRELM -n testrelm -p Secret123 -P Secret123 -a Secret123 --no-host-dns

  
Actual results:
Install fails with error:
Unable to resolve host name, check /etc/hosts or DNS name resolution

Expected results:
Install should finish successfully.

Additional info:
Info about my env:
# cat /etc/resolv.conf
; generated by /sbin/dhclient-script
search idm.lab.bos.redhat.com
nameserver 10.16.78.150

# hostname
ipaqa64vma.testrelm

# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
#10.16.98.182 ipaqa64vma.testrelm ipaqa64vma

Also tried:
# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
#10.16.98.182 ipaqa64vma.testrelm ipaqa64vma
10.16.98.182 ipaqa64vma.idm.lab.bos.redhat.com ipaqa64vma

Comment 2 Martin Kosek 2011-05-24 13:15:58 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1246

Comment 3 Martin Kosek 2011-06-10 06:31:52 UTC
Upstream commits:
master: 915235859cb67d4f350ff506b435586fd15505e7
ipa-2-0: 73e04bd972ba3d010ea63c9c7b834cdb80f7fadd

Comment 5 Rob Crittenden 2011-10-31 19:10:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The ipa-server-install option --no-host-dns still checks that the forward and reverse DNS entries exist and match.
Consequence: Installing IPA server using a host name not in DNS will fail.
Fix: Some validation was still occurring even if --no-host-dns was requested. No longer perform even basic host validation.
Result: Installing with --no-host-dns works.

Comment 6 Namita Soman 2011-11-04 17:16:38 UTC
Verified using ipa-server-2.1.3-4.el6.x86_64

Installed using:
#ipa-server-install -r TESTRELM -n testrelm -p Secret123 -P Secret123 -a Secret123 --no-host-dns

output included:
Warning: skipping DNS resolution of host ipa-replica.testrelm

env:
# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
#10.16.19.135  ipa-replica.testrelm ipa-replica

Comment 7 errata-xmlrpc 2011-12-06 18:22:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.